// Dependencies
@import "@hperchec/scorpion-ui-template-default/dist/style/scorpion-ui-template-default.css";
@import "@hperchec/scorpion-ui-template-default/dist/style/components/index.css";
@import 'animate-sass/_animate'; // stylelint-disable-line scss/load-no-partial-leading-underscore

// App styles
@import "modals";

$use-fade-in: true; // Activate all 'fadeIn*' classes
$use-fade-out: true; // Activate all 'fadeOut*' classes
$use-bounce-in: true; // Activate all 'bounceIn*' classes

/**
 * This injects Tailwind's base styles and any base styles registered by
 * plugins.
 */
@tailwind base;

/**
 * This injects Tailwind's component classes and any component classes
 * registered by plugins.
 */
@tailwind components;

/**
 * This injects Tailwind's utility classes and any utility classes registered
 * by plugins.
 */
@tailwind utilities;

/**
 * Use this directive to control where Tailwind injects the hover, focus,
 * responsive, dark mode, and other variants of each class.
 *
 * If omitted, Tailwind will append these classes to the very end of
 * your stylesheet by default.
 */
@tailwind variants;

@layer base {
  body {
    @apply @dark:text-@dark-text-primary @light:text-@light-text-primary;
    @apply @dark:bg-@dark-jaguar @light:bg-@light-alabaster;
  }
}
